#include <iostream>

using namespace std;

int main()
{
    long long int n,i,j,br=1,test,brzamena=0,bb=0,ii=0;
    int k;
    cin >> n;
    long long int a[n],b[n];
    cin >> k;
    for(i=0;i<n;++i)
        {
            cin >> a[i];
        }
    for(i=0;i<n;++i)
        {
        for(j=i+1;j<n;++j)
            {
            test=a[i];
            if(test==a[j])
                {
                br++;
                }
            for(ii=0;ii<=bb;++ii)
                {
                if(test==b[ii])
                    {
                    br=1;
                    ++j;
                    break;
                    }
                }
            if(br==k)
                {
                brzamena++;
                b[bb]=test;
                bb++;
                br=1;
                break;
                }
            }
        }
    cout << brzamena << endl;
    for(i=0;i<bb;++i)
        {
        cout << b[i];
        cout << " ";
        }
    return 0;
}